package com.ruoyi.ie.service;

import java.util.List;
import com.ruoyi.ie.domain.AMarjorSubmit;

/**
 * 专业报名划线Service接口
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public interface IAMarjorSubmitService 
{
    /**
     * 查询专业报名划线
     * 
     * @param id 专业报名划线主键
     * @return 专业报名划线
     */
    public AMarjorSubmit selectAMarjorSubmitById(Long id);

    /**
     * 查询专业报名划线列表
     * 
     * @param aMarjorSubmit 专业报名划线
     * @return 专业报名划线集合
     */
    public List<AMarjorSubmit> selectAMarjorSubmitList(AMarjorSubmit aMarjorSubmit);

    /**
     * 新增专业报名划线
     * 
     * @param aMarjorSubmit 专业报名划线
     * @return 结果
     */
    public int insertAMarjorSubmit(AMarjorSubmit aMarjorSubmit);

    /**
     * 修改专业报名划线
     * 
     * @param aMarjorSubmit 专业报名划线
     * @return 结果
     */
    public int updateAMarjorSubmit(AMarjorSubmit aMarjorSubmit);

    /**
     * 批量删除专业报名划线
     * 
     * @param ids 需要删除的专业报名划线主键集合
     * @return 结果
     */
    public int deleteAMarjorSubmitByIds(Long[] ids);

    /**
     * 删除专业报名划线信息
     * 
     * @param id 专业报名划线主键
     * @return 结果
     */
    public int deleteAMarjorSubmitById(Long id);
}
